insert ignore into object 
(obj_ldsid_fk, Obj_AttributeIDValue)
select distinct attr_obj_ldsid_fk, attr_obj_AttributeIDValue
from attribute_temp;


update attribute_temp
set attr_objectid_fk = (
  select obj_id
  from object
  where obj_LDSid_fk = attr_obj_LDSid_fk
  and   obj_AttributeIDValue = attr_obj_AttributeIDValue
  limit 1);


update attribute , attribute_temp
set attribute.attr_value = attribute_temp.attr_value
where attribute_temp.attr_objectID_FK = attribute.attr_objectID_FK    
and attribute_temp.attr_name = attribute.attr_name;


insert into attribute 
(attr_objectID_FK, attr_name, attr_value)
select distinct attr_objectID_FK, attr_name, attr_value 
from attribute_temp at
where not exists 
( 
	select attr_objectid_fk 
	from attribute a2 
	where at.attr_objectID_FK = a2.attr_objectID_FK    
	and at.attr_name = a2.attr_name
)